Get calendar details
Returns the details of a specific calendar.
Path Parameters
- Type: string
object _id requiredCalendar ID
Headers
- Type: string
Authorization requiredAPI key for authentication
- Type: string
Content - Type requiredShould always be application/json
Responses
- application/json
404 Calendar not found
Request Example for get/api/v1/calendars/{object_id}
curl https://app.attendee.dev/api/v1/calendars/cal_abcdef1234567890 \
--header 'Authorization: Token YOUR_API_KEY_HERE' \
--header 'Content-Type: application/json'
{
"id": "cal_abcdef1234567890",
"platform": "google",
"state": "connected",
"metadata": {
"tenant_id": "1234567890"
},
"deduplication_key": "user-abcd",
"connection_failure_data": null,
"created_at": "2025-01-13T10:30:00.123456Z",
"updated_at": "2025-01-13T10:30:00.123456Z"
}